1. Nimm jetzt an unserem 2. ADVENT-Gewinnspiel teil - Alle Informationen findest Du hier!

Suche tun.ko für Firmware 4.0.2.A.0.42

Dieses Thema im Forum "Root / Hacking / Modding für Sony Xperia Neo" wurde erstellt von glenn077, 20.11.2011.

  1. glenn077, 20.11.2011 #1
    glenn077

    glenn077 Threadstarter Neuer Benutzer

    Beiträge:
    4
    Erhaltene Danke:
    0
    Registriert seit:
    20.11.2011
    Hallo zusammen!

    Auf meinem Neo läuft die Originalfirmware mit Version 4.0.2.A.0.42.
    Für diese Version suche ich eine funktionierende tun.ko.

    Ich will nämlich mit VPNC eine VPN Verbindung zu meiner Fritzbox herstellen.

    Ich habe es schon mit einer tun.ko für die Version 4.0.A.2.364 versucht. Damit bekomme ich VPNC aber nicht zum laufen. Nach dem Starten des Widget fragt er sofort "Offline?". Ich denke mal das das mit der nicht kompatiblen tun.ko zusammenhängt.

    Kann mir jemand helfen???
     
  2. wolfman40de, 21.11.2011 #2
    wolfman40de

    wolfman40de Android-Hilfe.de Mitglied

    Beiträge:
    80
    Erhaltene Danke:
    1
    Registriert seit:
    19.08.2011
    Ich nehme an, Dein Neo ist gerootet!

    Geh mal im VPNC-Widget (Doppel-Click) auf "Check Prerequisites".
    Da zeigt es an, woran es fehlt.

    Wie hast Du die tun.ko ins System eingebunden?
    Ich habe es mit dem Terminal-Emulator (aus dem market) und folgenden Befehlen gemacht:

    su
    insmod /sdcard/tun.ko

    Sollte Deine tun.ko tatsächlich inkompatibel zur neuen Firmware sein, bitte möglichst bald posten, da ich vorher kein Update auf diese machen werde.

    Ich nutze das VPNC Widget sehr häufig, vor allem für den Zugang zur Firma, aber auch zur Fritzbox.
     
  3. glenn077, 21.11.2011 #3
    glenn077

    glenn077 Threadstarter Neuer Benutzer

    Beiträge:
    4
    Erhaltene Danke:
    0
    Registriert seit:
    20.11.2011
    Hallo wolfman40de,

    mein Neo ist gerootet. Wenn ich in VPNC den Check mache sagt die App, dass alles ok ist aber VPNC startet nicht wirklich. Ich hab das App als Widget auf dem Startbildschirm liegen und nach dem Klick darauf sagt es sofort "Offline?".
    Ich schließe daraus, dass das tun.ko Modul nicht kompatibel ist. Hast Du sonst eine andere Idee.

    Ich hab das Modul übrigens mit einem Terminal-Emulator in den Ordner /system/lib/modules kopiert und mit insmod in den Kernel geladen.
     
  4. wolfman40de, 21.11.2011 #4
    wolfman40de

    wolfman40de Android-Hilfe.de Mitglied

    Beiträge:
    80
    Erhaltene Danke:
    1
    Registriert seit:
    19.08.2011
    Hallo glenn077,

    es könnte an der Kernel-Version liegen, schau mal hier nach:

    [DEV]TUN, CIFS modules (UPDATE EXP. 4.0.A.2.364) - Page 2 - xda-developers
    Beitrag #20,

    ist vom Entwickler "meiner" tun.ko.

    Hat es denn mit der alten Firmware funktioniert oder hattest Du die nie drauf, weil Du Dein Neo bereits mit der neuen gekauft hast?

    Dieses "Offline?" bekomme ich nur, wenn ich wirklich offline bin, ob das bei Dir aber wirklich ein Zeichen von Inkompatibilität ist, würde ich aus dem Bauch raus eher verneinen, aber ich bin kein Android-Spezialist, nur interessierter Laie.
     
  5. glenn077, 21.11.2011 #5
    glenn077

    glenn077 Threadstarter Neuer Benutzer

    Beiträge:
    4
    Erhaltene Danke:
    0
    Registriert seit:
    20.11.2011
    Hallo Wolfman40de,

    ich benutze die gleiche tun.ko wie Du und jetzt läuft sie auch problemlos. Auch unter der neuen Firmware. Ich hatte einen Fehler in meiner DynDNS-Adresse.

    Ich hätte den Fehler schneller gefunden, wenn die App ins Log geschrieben hätte, das die Adresse unbekannt ist. Die Frage "Offline?" ist hier ziemlich irreführend.

    Dann viel Spaß beim flashen auf Android 2.3.4! Zum rooten des Handy kann ich dir diesen Thread http://forum.xda-developers.com/showthread.php?p=18777881 empfehlen. Läuft bei mir ohne Probleme!
     
    Zuletzt bearbeitet: 21.11.2011
  6. wolfman40de, 24.11.2011 #6
    wolfman40de

    wolfman40de Android-Hilfe.de Mitglied

    Beiträge:
    80
    Erhaltene Danke:
    1
    Registriert seit:
    19.08.2011
    Na prima, dann ist die tun.ko ja doch kompatibel!

    Danke für den Tipp.
    Ich werde es aber OTA versuchen, da bleibt wahrscheinlich root erhalten,was ich bis jetzt so gelesen habe.

    Wäre natürlich die bequemste Lösung.
     

Diese Seite empfehlen